Get wallet summary
GET
/v1/wallet
const url = 'https://api.parasta.io/v1/wallet';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/wallet \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
walletId
string
walletType
string
primaryNetwork
string
networks
Array<object>
object
networkId
required
string
family
required
string
address
required
Canonical address in family-specific encoding (see NetworkAddress.address).
string
aa
Present only when family=evm. AA on Solana is deferred.
object
smartAccountAddress
string
eoaAddress
string
deployed
boolean
deployedAt
string format: date-time
backupExists
boolean
lastBackupAt
string format: date-time
Example
{ "walletType": "client", "networks": [ { "family": "evm" } ]}